#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	Body
Summary:	HTTP::Body - HTTP Body Parser
Summary(pl.UTF-8):	HTTP::Body - parser ciała odpowiedzi HTTP
Name:		perl-HTTP-Body
Version:	1.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81a38eab683d8750b78ad0d4845ef0d5
URL:		http://search.cpan.org/dist/HTTP-Body/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Path-Class
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-YAML >= 0.39
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTP Body Parser.

%description -l pl.UTF-8
Parser ciała odpowiedzi HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTTP/*.pm
%{perl_vendorlib}/HTTP/Body
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTTP-Body.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fed1cc
- up to 1.22

* Mon May 07 2012 Szymon Siwek <sls@pld-linux.org> 2f4eaa8
- with test BR: perl-Test-Deep

* Wed Jan 18 2012 zbyniu <zbyniu@pld-linux.org> be3522b
- up to 1.15

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> c9a6aff
- 1.12

* Thu Jan 22 2009 radek <radek@pld-linux.org> e9e75ce
- version 1.05, kill readme same as pod

* Sun Sep 09 2007 radek <radek@pld-linux.org> fd82104
- version 0.9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 38b9863
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 932a4f5
- converted to UTF-8

* Mon Jan 30 2006 migo <migo@pld-linux.org> c897445
- up to 0.6

* Fri Nov 11 2005 migo <migo@pld-linux.org> 3783158
- up to 0.4

* Tue Nov 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 5b8ffd2
- pl, generic URL

* Mon Nov 07 2005 migo <migo@pld-linux.org> 7b0784b
- initial revision

